package com.persagy.dmp.auth.client;

import cn.hutool.extra.spring.SpringUtil;
import com.persagy.dmp.common.model.response.CommonResult;

/**
 * paas-account服务门面类
 * @author : lijie
 * Update By 2022/1/10 18:18
 */
public class PaasAccountFacade extends AuthFacade {

    private static PaasAccountClient client = SpringUtil.getBean(PaasAccountClient.class);

    /**
     * PAAS平台的登录接口
     * @param param : 请求参数
     * @return : com.persagy.dmp.common.model.response.CommonResult<java.lang.String>
     * @author : lijie
     * Update By 2022/1/10 18:20
     */
    public static CommonResult<String> accountLogin(Object param){
        return handleResultCode(client.accountLogin(param),Boolean.FALSE);
    }
    /**
     * PAAS平台的刷新token接口
     * @param param : 请求参数
     * @return : com.persagy.dmp.common.model.response.CommonResult<java.lang.String>
     * @author : lijie
     * Update By 2022/1/10 18:20
     */
    public static CommonResult<String> accountTokenRefresh(Object param){
        return handleResultCode(client.accountTokenRefresh(param),Boolean.FALSE);
    }


}
